
Extended Profile - Bug #1892

Searching for users in Groups not possible

14 Nov 2011 08:21 - Daniel Seifert

Status: Won't Fix Start date: 14 Nov 2011

Priority: Normal Due date: 28 Sep 2012

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Redmine version:  External issue: #5434

Description

With extended_profile installed, go to Administration→Groups, open a group and select the “Users” tab. Now typing in the “search for

user” field will cause an internal server error.

http://www.redmine.org/issues/5434 has the same problem.

This is with all other plugins removed.

A NoMethodError occurred in groups#autocomplete_for_user:

 undefined method `call' for nil:NilClass

 /var/lib/gems/1.8/gems/activerecord-2.3.14/lib/active_record/named_scope.rb:103:in `like'

/var/lib/gems/1.8/gems/activerecord-2.3.14/lib/active_record/named_scope.rb:103:in `like'

 /var/lib/gems/1.8/gems/activerecord-2.3.14/lib/active_record/named_scope.rb:186:in `send'

 /var/lib/gems/1.8/gems/activerecord-2.3.14/lib/active_record/named_scope.rb:186:in `method_missin

g'

 /var/lib/gems/1.8/gems/activerecord-2.3.14/lib/active_record/base.rb:2182:in `with_scope'

 /var/lib/gems/1.8/gems/activerecord-2.3.14/lib/active_record/named_scope.rb:118:in `__send__'

 /var/lib/gems/1.8/gems/activerecord-2.3.14/lib/active_record/named_scope.rb:118:in `with_scope'

 /var/lib/gems/1.8/gems/activerecord-2.3.14/lib/active_record/named_scope.rb:179:in `method_missin

g'

 /var/lib/gems/1.8/gems/activerecord-2.3.14/lib/active_record/named_scope.rb:186:in `send'

 /var/lib/gems/1.8/gems/activerecord-2.3.14/lib/active_record/named_scope.rb:186:in `method_missin

g'

 /var/lib/gems/1.8/gems/activerecord-2.3.14/lib/active_record/base.rb:2182:in `with_scope'

 /var/lib/gems/1.8/gems/activerecord-2.3.14/lib/active_record/named_scope.rb:118:in `__send__'

 /var/lib/gems/1.8/gems/activerecord-2.3.14/lib/active_record/named_scope.rb:118:in `with_scope'

 /var/lib/gems/1.8/gems/activerecord-2.3.14/lib/active_record/named_scope.rb:118:in `__send__'

 /var/lib/gems/1.8/gems/activerecord-2.3.14/lib/active_record/named_scope.rb:118:in `with_scope'

 /var/lib/gems/1.8/gems/activerecord-2.3.14/lib/active_record/named_scope.rb:179:in `method_missin

g'

 [RAILS_ROOT]/app/controllers/groups_controller.rb:135:in `autocomplete_for_user'

 /var/lib/gems/1.8/gems/actionpack-2.3.14/lib/action_controller/base.rb:1333:in `send'

 ...

History

#1 - 04 Dec 2011 12:04 - Andriy Lesyuk

- Status changed from New to Open

- Target version set to 0.0.3

#2 - 05 Dec 2011 20:49 - Andriy Lesyuk

Can it be related to #1856?

#3 - 07 Dec 2011 19:12 - Andriy Lesyuk

Got something like this on ChiliProject:
NoMethodError (undefined method `call' for nil:NilClass):

  app/controllers/groups_controller.rb:130:in `autocomplete_for_user'

  /usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in `process_request'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

  /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:418:in `start_request_handler'

  /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:358:in `handle_spawn_application'

  /usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork'

  /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:354:in `handle_spawn_application'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'

  /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:213:in `start'

  /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

  /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

  /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

  /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  /usr/lib/phusion_passenger/passenger-spawn-server:61

 

Still not getting how the plugin can cause this...

#4 - 17 Dec 2011 08:51 - Andriy Lesyuk

- Target version deleted (0.0.3)

- External issue set to #5434

#5 - 19 Dec 2011 21:59 - Andriy Lesyuk

- Status changed from Open to Incomplete

Not sure how to fix this issue and what is causing it... Most likely I won’t fix it!

Most likely you don’t need it to be fixed too...  Just released brand new version of this plugin which should not contain this bug!
#6 - 15 Jan 2012 09:19 - Andriy Lesyuk

- Target version set to 86

#7 - 15 Jan 2012 18:58 - Daniel Seifert

Tested it again with the new version and extended_fields and the issue seems to be gone. Thx!

#8 - 28 Sep 2012 22:39 - Andriy Lesyuk

- Due date set to 28 Sep 2012

- Status changed from Incomplete to Won't Fix

- Target version deleted (86)
